commit 10f1519f6a0acdc1fc45e962fa5c13312cc7b624
Author: Szabolcs Nagy <szabolcs.nagy@arm.com>
Date:   Tue Oct 9 14:31:28 2018 +0100

    Increase timeout of libio/tst-readline
    
    Increase timeout from the default 20s to 100s. This test makes close to
    20 million syscalls with distribution:
    
    12327675 read
     4143204 lseek
      929475 close
      929471 openat
       92817 fstat
        1431 write
    ...
    
    The default timeout assumes each can finish in 1us on average which
    is not true on slow machines.
    
    Reviewed-by: Carlos O'Donell <carlos@redhat.com>
    
            * libio/tst-readline.c (TIMEOUT): Define.
    
    (cherry picked from commit ed643089cd3251038863d32e67ec47b94cd557f3)

diff --git a/ChangeLog b/ChangeLog
index f2e0f1ffd7..99462fa3d4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2018-10-09  Szabolcs Nagy  <szabolcs.nagy@arm.com>
+
+	* libio/tst-readline.c (TIMEOUT): Define.
+
 2018-10-22  Joseph Myers  <joseph@codesourcery.com>
 
 	* sysdeps/unix/sysv/linux/syscall-names.list: Update kernel
diff --git a/libio/tst-readline.c b/libio/tst-readline.c
index 9322ef68da..63f5227760 100644
--- a/libio/tst-readline.c
+++ b/libio/tst-readline.c
@@ -232,5 +232,6 @@ do_test (void)
   return 0;
 }
 
+#define TIMEOUT 100
 #define PREPARE prepare
 #include <support/test-driver.c>

